c  VERSION 1.1  (NLSPC version)   3/1/94
c*********************************************************************
c                    =========================
c                      include file NLSDIM
c                    =========================
c
c  Defines array dimensioning parameters for NLS programs
c
c mxdim   Maximum dimension of matrix
c mxfile  Maximum number of input files
c mxspc   Maximum number of spectra that can be fit in series
c mxnpt   Maximum number of points along one of the axis
c         NOTE: THIS SHOULD BE A POWER OF 2
c mxspt   Maximum number of points in an individual spectrum
c              (can be mxnpt*mxnpt maximum)
c mxpt    Maximum total number of data points
c              (can be mxspt*mxspc maximum)
c mxvar   Maximum number of parameters that may be varied
c mxort   Maximum number of orientations for MOMD calculation
c mxsph   Maximum number of tensors that may be specified in spherical
c         form
c*********************************************************************
c
      integer mxdim,mxstep,mxel,mxfile,mxspc,mxnpt,mxspt,mxpt,
     #        mxvar,mxegv,mxort,mxsph
      parameter (mxdim=1200,mxstep=500,mxel=100000,mxegv=1000,
     #           mxfile=20,mxspc=10,mxnpt=128,mxspt=16384,
     #           mxpt=163840,mxvar=6,mxort=20,mxsph=3)
c
      integer nfprm,nvprm,niprm,nalias,nsymtr,nsymbl
      parameter(nfprm=50,nvprm=36,niprm=23,nalias=9,nsymtr=3,nsymbl=5)
c
c*********************************************************************
c
