function m=stap(filnm)
%
% stap('filename') does a stack plot of the data.  Use print -dps filename
% to generate a postscript file.
%
fid=fopen(filnm);
if fid == (-1)   ;                      % does file exist?
    error(['stap: Could not open file filename check path and exist? ']);
end;
numcom=fgetl(fid);
for i=1:eval(numcom);
  dum=fgetl(fid);
end;
% get axes definition
t1size=fscanf(fid,'%d');
t1label=fscanf(fid,'%c',[1 30]);
t1label=deblank(t1label);
size(t1label);
t2size=fscanf(fid,'%d');
t2label=fscanf(fid,'%c',[1 30]);
t2label=deblank(t2label);
axes=fscanf(fid,'%10f',6);
dat=fscanf(fid,'%10f',Inf);
dat=reshape(dat,t1size(1),t2size(1));
x=axes(1):axes(2):axes(1)+axes(2)*(t1size-0.5);
y=axes(3):axes(4):axes(3)+axes(4)*(t2size-0.5);
[X,Y]=meshgrid(x,y);
size(X);
size(Y);
size(dat);
contour(X,Y,dat',10)
set(gca,'xlabel',text(0,0,t1label,'fontsize',[12]));
set(gca,'ylabel',text(0,0,t2label,'fontsize',[12]));
set(gca,'fontsize',[12]);	% This affects the title font size
title(filnm);
set(gca,'fontsize',[12]);	% This affects the graph axes only
